Page MenuHomePhabricator

[mips][microMIPS] Implement SWP and LWP instructions
ClosedPublic

Authored by zoran.jovanovic on Oct 8 2014, 5:04 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

zoran.jovanovic retitled this revision from to [mips][microMIPS] Implement SWP and LWP instructions.
zoran.jovanovic updated this object.
zoran.jovanovic edited the test plan for this revision. (Show Details)
sstankovic added inline comments.Nov 25 2014, 8:07 AM
lib/Target/Mips/AsmParser/MipsAsmParser.cpp
150 ↗(On Diff #14562)

Parameter is not aligned.

847 ↗(On Diff #14562)

Move "unsigned getRegPair() const {" 2 spaces to the left.

lib/Target/Mips/MicroMipsInstrInfo.td
76 ↗(On Diff #14562)

"InstrItinClass Itin = NoItinerary" is not aligned.

84 ↗(On Diff #14562)

Same here.

lib/Target/Mips/MipsAsmPrinter.cpp
695 ↗(On Diff #14562)

This method is not used. If I comment it out (and its declaration in MipsAsmPrinter.h), LLVM compiles without errors, and make check tests pass.

(Btw, it seems that following MipsAsmPrinter methods are also not used: printUnsignedImm, printUnsignedImm8, printMemOperand, printMemOperandEA, printFCCOperand, printRegisterList. The corresponding methods from MipsInstPrinter (with the same names) are the ones that are used.)

zoran.jovanovic added a subscriber: Unknown Object (MLST).

Alignment fixed.
printRegisterPair removed from MipsAsmPrinter.

sstankovic accepted this revision.Dec 16 2014, 3:52 AM
sstankovic edited edge metadata.
This revision is now accepted and ready to land.Dec 16 2014, 3:52 AM
This revision was automatically updated to reflect the committed changes.